import request from '/@/utils/request';

/**
 * 背景图片配置API
 */
export function useLoginBackgroundApi() {
  return {
    /**
     * 获取背景图片配置
     */
    getConfig: () => {
      return request({
        url: '/api/system/login-background/config/',
        method: 'get',
      });
    },

    /**
     * 设置背景图片配置
     * @param data 配置数据
     */
    setConfig: (data: any) => {
      return request({
        url: '/api/system/login-background/config/',
        method: 'post',
        data,
      });
    },
  };
}